Bug 31908 - Include UMCConnection from app center + school exam module code into univention-lib
Include UMCConnection from app center + school exam module code into univenti...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Florian Best
: interim-1
Depends on: 31058
Blocks: 31059
  Show dependency treegraph
 
Reported: 2013-07-05 15:36 CEST by Dirk Wiesenthal
Modified: 2013-11-19 06:42 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2013-07-05 15:36:04 CEST
+++ This bug was initially created as a clone of Bug #31058 +++

Currently, the class UMCConnection exists in the app center module as well as in the UCS@school exam module. Both versions should be refactored and included into univention-lib.
Comment 1 Dirk Wiesenthal univentionstaff 2013-07-12 16:06:28 CEST
Use univention.lib in
  univention-management-console-module-appcenter 3.0.5-1.149.201307121511

Changelog updated
Comment 2 Florian Best univentionstaff 2013-07-25 12:11:32 CEST
(In reply to Dirk Wiesenthal from comment #1)
> Use univention.lib in
>   univention-management-console-module-appcenter 3.0.5-1.149.201307121511
OK

> Changelog updated
OK
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:42:14 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".